Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  x-koordinate - 1

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   x-koordinate - 1 (372 mal gelesen)
Mozi
Mitglied
Zeichner


Sehen Sie sich das Profil von Mozi an!   Senden Sie eine Private Message an Mozi  Schreiben Sie einen Gästebucheintrag für Mozi

Beiträge: 108
Registriert: 15.05.2001

erstellt am: 19. Nov. 2008 17:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

leider fehlt mir die routine im lisp um ein kleines script zu schreiben

ich würde gerne ein kleines lisp erstellen, in dem alle elemente gewählt werden
um dann mit einfachen "links-klicks" jeweils die elemente neu zu berechnen

klick
alle elemente mit kleineren x-koordinaten als mein klick sollten um 1 einheit nach rechts wandern

also ssget x
dann getpoint
und dann if x im "alle" kleiner als x vom klick dann x+1
elemente ändern

ich bastelte schon mit schieben und command
würde aber mal gerne mit den elementfunktionen etwas professioneller vorgehen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 19. Nov. 2008 19:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mozi 10 Unities + Antwort hilfreich

Hi,
naja, das Grundprinzip steht doch,
wenn du nun noch weißt welche Elemente du wandern lassen möchtest,
dann hast du doch schon alles...
Als Hilfestellung
"Der Dauerbrenner" oder als "Kochbuch" im (wie der Name sagt) Buchformat...
Wenn du "Lisp-Konsole" in ACad entdeckt hast, ist die Hilfe auch immer ein heißer Tipp.
(Könnte mir auch vorstellen, dass es komplett mit Script umsetzbar ist)

An welchen Lispzeilen hängt es denn?

mfg Heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1661
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2020
CIVIL 2012 - 2020
BricsCAD V14-V20
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 20. Nov. 2008 07:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Mozi 10 Unities + Antwort hilfreich

Hallo Mozi,
vielleicht ein kleines Grundgerüst, mußt Du Dir noch ein bißchen anpassen:

Code:

(defun c:test ( / aws pkt)
  (if(and(setq aws (ssget))(setq pkt (getpoint "\Punkt picken:")))
    (progn
      (setq n 0)
      (repeat (sslength aws)
(if (< (car(cdr(assoc 10 (entget (ssname aws n)))))(car pkt))
(command "_.move" (ssname aws n)"" '(0.0 0.0)'(1.0 0.0)))
(setq n (+ n 1))))))

Anmerkung: Die Abfrage, ob der X-Wert kleiner ist über den GC 10 mußt Du noch überdenken, wenn Du z.B. eine Linie hast ist der GC 10 nur der Anfangspunkt, wenn Du aber eine Block hast ist es der Basispunkt.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz